/*

    GDS7 v0.1 interactive digital image transfer software for DS-7 camera
    Copyright (C) 1998 Matthew G. Martin

    Camera transfer code transcribed from the 
    Perl Language program "get_ds7", Copyright (C) 1997 Mamoru Ohno

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


*/
#ifndef DS7LIB_H
#define DS7LIB_H
typedef struct {
  int thumb_x,thumb_y;
  char * cam_id;
} cam_info;

int open_ds7(char* devname);
int close_ds7();
int image_name(int num,char *name);
void req_cancel();
int get_status();
cam_info *get_cam_info();
void clear_status();
/*
 thumb=1 :get thumbnail
        =0 :get image
*/
long get_data(int num,int thumb,char * buffer,
	      void progcb(float percent),long max);
int get_thumb(int pic,char* fname,void progcb(float p));
extern int debug;

char* get_info(int picnum);
#endif /*DS7LIB_H)*/
